Skip to main content
Server path: /algolia | Type: Application | PCID required: Yes

Tools

ToolDescription
algolia_add_api_keyCreate an API key
algolia_add_or_update_objectAdd or replace a record
algolia_append_sourceAdd a source
algolia_batchBatch indexing operations on one index
algolia_batch_dictionary_entriesAdd or delete dictionary entries
algolia_browseBrowse for records
algolia_clear_objectsDelete all records from an index
algolia_clear_rulesDelete all rules
algolia_clear_synonymsDelete all synonyms
algolia_delete_api_keyDelete an API key
algolia_delete_byDelete records matching a filter
algolia_delete_indexDelete an index
algolia_delete_objectDelete a record
algolia_delete_ruleDelete a rule
algolia_delete_sourceDelete a source
algolia_delete_synonymDelete a synonym
algolia_get_api_keyRetrieve API key permissions
algolia_get_app_taskCheck application task status
algolia_get_dictionary_languagesList available languages
algolia_get_dictionary_settingsRetrieve dictionary settings
algolia_get_logsRetrieve log entries
algolia_get_objectRetrieve a record
algolia_get_objectsRetrieve records
algolia_get_ruleRetrieve a rule
algolia_get_settingsRetrieve index settings
algolia_get_sourcesList allowed sources
algolia_get_synonymRetrieve a synonym
algolia_get_taskCheck task status
algolia_list_api_keysList API keys
algolia_list_indicesList indices
algolia_multiple_batchBatch indexing operations on multiple indices
algolia_operation_indexCopy or move an index
algolia_partial_update_objectAdd or update attributes
algolia_replace_sourcesReplace allowed sources
algolia_restore_api_keyRestore an API key
algolia_save_objectAdd a new record (with auto-generated object ID)
algolia_save_ruleCreate or replace a rule
algolia_save_rulesCreate or update rules
algolia_save_synonymCreate or replace a synonym
algolia_save_synonymsCreate or replace synonyms
algolia_searchSearch multiple indices
algolia_search_dictionary_entriesSearch dictionary entries
algolia_search_for_facet_valuesSearch for facet values
algolia_search_rulesSearch for rules
algolia_search_single_indexSearch an index
algolia_search_synonymsSearch for synonyms
algolia_set_dictionary_settingsUpdate dictionary settings
algolia_set_settingsUpdate index settings
algolia_update_api_keyUpdate an API key

algolia_add_api_key

Create an API key Parameters:
ParameterTypeRequiredDefaultDescription
aclstring[]YesPermissions that determine the type of API requests this key can make. The required ACL is listed in each endpoint’s reference. For more information, see access control list.
descriptionstringNoDescription of an API key to help you identify this API key.
indexesstring[]NoIndex names or patterns that this API key can access. By default, an API key can access all indices in the same application. You can use leading and trailing wildcard characters (*): - dev_* matches all indices starting with “dev_” - *_dev matches all indices ending with “_dev” - *_products_* matches all indices containing “products”.
maxHitsPerQueryintegerNoMaximum number of results this API key can retrieve in one query. By default, there’s no limit.
maxQueriesPerIPPerHourintegerNoMaximum number of API requests allowed per IP address or user token per hour. If this limit is reached, the API returns an error with status code 429. By default, there’s no limit.
queryParametersstringNoQuery parameters to add when making API requests with this API key. To restrict this API key to specific IP addresses, add the restrictSources parameter. You can only add a single source, but you can provide a range of IP addresses. Creating an API key fails if the request is made from an IP address outside the restricted range.
referersstring[]NoAllowed HTTP referrers for this API key. By default, all referrers are allowed. You can use leading and trailing wildcard characters (*): - https://algolia.com/* allows all referrers starting with “https://algolia.com/” - *.algolia.com allows all referrers ending with “.algolia.com” - *algolia.com* allows all referrers in the domain “algolia.com”. Like all HTTP headers, referrers can be spoofed. Don’t rely on them to secure your data. For more information, see HTTP referrer restrictions.
validityintegerNoDuration (in seconds) after which the API key expires. By default, API keys don’t expire.

algolia_add_or_update_object

Add or replace a record Parameters:
ParameterTypeRequiredDefaultDescription
indexNamestringYesName of the index on which to perform the operation.
objectIDstringYesUnique record identifier.
bodyobjectYesThe record. A schemaless object with attributes that are useful in the context of search and discovery.

algolia_append_source

Add a source Parameters:
ParameterTypeRequiredDefaultDescription
descriptionstringNoSource description.
sourcestringYesIP address range of the source.

algolia_batch

Batch indexing operations on one index Parameters:
ParameterTypeRequiredDefaultDescription
indexNamestringYesName of the index on which to perform the operation.
requestsobject[]YesThe requests value

algolia_batch_dictionary_entries

Add or delete dictionary entries Parameters:
ParameterTypeRequiredDefaultDescription
dictionaryNamestringYesDictionary type in which to search.
clearExistingDictionaryEntriesbooleanNoWhether to replace all custom entries in the dictionary with the ones sent with this request.
requestsobject[]YesList of additions and deletions to your dictionaries.

algolia_browse

Browse for records Parameters:
ParameterTypeRequiredDefaultDescription
indexNamestringYesName of the index on which to perform the operation.
bodyobjectNoRequest body

algolia_clear_objects

Delete all records from an index Parameters:
ParameterTypeRequiredDefaultDescription
indexNamestringYesName of the index on which to perform the operation.

algolia_clear_rules

Delete all rules Parameters:
ParameterTypeRequiredDefaultDescription
indexNamestringYesName of the index on which to perform the operation.
forwardToReplicasbooleanNoWhether changes are applied to replica indices.

algolia_clear_synonyms

Delete all synonyms Parameters:
ParameterTypeRequiredDefaultDescription
indexNamestringYesName of the index on which to perform the operation.
forwardToReplicasbooleanNoWhether changes are applied to replica indices.

algolia_delete_api_key

Delete an API key Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesAPI key.

algolia_delete_by

Delete records matching a filter Parameters:
ParameterTypeRequiredDefaultDescription
indexNamestringYesName of the index on which to perform the operation.
aroundLatLngstringNoCoordinates for the center of a circle, expressed as a comma-separated string of latitude and longitude. Only records included within a circle around this central location are included in the results. The radius of the circle is determined by the aroundRadius and minimumAroundRadius settings. This parameter is ignored if you also specify insidePolygon or insideBoundingBox.
aroundRadiusobjectNoMaximum radius for a search around a central location. This parameter works in combination with the aroundLatLng and aroundLatLngViaIP parameters. By default, the search radius is determined automatically from the density of hits around the central location. The search radius is small if there are many hits close to the central coordinates.
facetFiltersobjectNoFilter the search by facet values, so that only records with the same facet values are retrieved. Prefer using the filters parameter, which supports all filter types and combinations with boolean operators. - [filter1, filter2] is interpreted as filter1 AND filter2. - [[filter1, filter2], filter3] is interpreted as filter1 OR filter2 AND filter3. - facet:-value is interpreted as NOT facet:value. While it’s best to avoid attributes that start with a -, you can still filter them by escaping with a backslash: facet:\-value.
filtersstringNoFilter expression to only include items that match the filter criteria in the response. You can use these filter expressions: - Numeric filters. <facet> <op> <number>, where <op> is one of <, <=, =, !=, >, >=. - Ranges. <facet>:<lower> TO <upper>, where <lower> and <upper> are the lower and upper limits of the range (inclusive). - Facet filters. <facet>:<value>, where <facet> is a facet attribute (case-sensitive) and <value> a facet value. - Tag filters. _tags:<value> or just <value> (case-sensitive). - Boolean filters. <facet>: true | false. You can combine filters with AND, OR, and NOT operators with the following restrictions: - You can only combine filters of the same type with OR. Not supported: facet:value OR num > 3. - You can’t use NOT with combinations of filters. Not supported: NOT(facet:value OR facet:value) - You can’t combine conjunctions (AND) with OR. Not supported: facet:value OR (facet:value AND facet:value) Use quotes if the facet attribute name or facet value contains spaces, keywords (OR, AND, NOT), or quotes. If a facet attribute is an array, the filter matches if it matches at least one element of the array. For more information, see Filters.
insideBoundingBoxobjectNoInside Bounding Box
insidePolygonany[][]NoCoordinates of a polygon in which to search. Polygons are defined by 3 to 10,000 points. Each point is represented by its latitude and longitude. Provide multiple polygons as nested arrays. For more information, see filtering inside polygons. This parameter is ignored if you also specify insideBoundingBox.
numericFiltersobjectNoFilter by numeric facets. Prefer using the filters parameter, which supports all filter types and combinations with boolean operators. You can use numeric comparison operators: <, <=, =, !=, >, >=. Comparisons are precise up to 3 decimals. You can also provide ranges: facet:<lower> TO <upper>. The range includes the lower and upper boundaries. The same combination rules apply as for facetFilters.
tagFiltersobjectNoFilter the search by values of the special _tags attribute. Prefer using the filters parameter, which supports all filter types and combinations with boolean operators. Different from regular facets, _tags can only be used for filtering (including or excluding records). You won’t get a facet count. The same combination and escaping rules apply as for facetFilters.

algolia_delete_index

Delete an index Parameters:
ParameterTypeRequiredDefaultDescription
indexNamestringYesName of the index on which to perform the operation.

algolia_delete_object

Delete a record Parameters:
ParameterTypeRequiredDefaultDescription
indexNamestringYesName of the index on which to perform the operation.
objectIDstringYesUnique record identifier.

algolia_delete_rule

Delete a rule Parameters:
ParameterTypeRequiredDefaultDescription
indexNamestringYesName of the index on which to perform the operation.
objectIDstringYesUnique identifier of a rule object.
forwardToReplicasbooleanNoWhether changes are applied to replica indices.

algolia_delete_source

Delete a source Parameters:
ParameterTypeRequiredDefaultDescription
sourcestringYesIP address range of the source.

algolia_delete_synonym

Delete a synonym Parameters:
ParameterTypeRequiredDefaultDescription
indexNamestringYesName of the index on which to perform the operation.
objectIDstringYesUnique identifier of a synonym object.
forwardToReplicasbooleanNoWhether changes are applied to replica indices.

algolia_get_api_key

Retrieve API key permissions Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesAPI key.

algolia_get_app_task

Check application task status Parameters:
ParameterTypeRequiredDefaultDescription
taskIDintegerYesUnique task identifier.

algolia_get_dictionary_languages

List available languages

algolia_get_dictionary_settings

Retrieve dictionary settings

algolia_get_logs

Retrieve log entries Parameters:
ParameterTypeRequiredDefaultDescription
offsetintegerNoFirst log entry to retrieve. The most recent entries are listed first.
lengthintegerNoMaximum number of entries to retrieve.
indexNamestringNoIndex for which to retrieve log entries. By default, log entries are retrieved for all indices.
typestringNoType of log entries to retrieve. By default, all log entries are retrieved.

algolia_get_object

Retrieve a record Parameters:
ParameterTypeRequiredDefaultDescription
indexNamestringYesName of the index on which to perform the operation.
objectIDstringYesUnique record identifier.
attributesToRetrievestring[]NoAttributes to include with the records in the response. This is useful to reduce the size of the API response. By default, all retrievable attributes are returned. objectID is always retrieved. Attributes included in unretrievableAttributes won’t be retrieved unless the request is authenticated with the admin API key.

algolia_get_objects

Retrieve records Parameters:
ParameterTypeRequiredDefaultDescription
requestsobject[]YesThe requests value

algolia_get_rule

Retrieve a rule Parameters:
ParameterTypeRequiredDefaultDescription
indexNamestringYesName of the index on which to perform the operation.
objectIDstringYesUnique identifier of a rule object.

algolia_get_settings

Retrieve index settings Parameters:
ParameterTypeRequiredDefaultDescription
indexNamestringYesName of the index on which to perform the operation.
getVersionintegerNoWhen set to 2, the endpoint will not include synonyms in the response. This parameter is here for backward compatibility.

algolia_get_sources

List allowed sources

algolia_get_synonym

Retrieve a synonym Parameters:
ParameterTypeRequiredDefaultDescription
indexNamestringYesName of the index on which to perform the operation.
objectIDstringYesUnique identifier of a synonym object.

algolia_get_task

Check task status Parameters:
ParameterTypeRequiredDefaultDescription
indexNamestringYesName of the index on which to perform the operation.
taskIDintegerYesUnique task identifier.

algolia_list_api_keys

List API keys

algolia_list_indices

List indices Parameters:
ParameterTypeRequiredDefaultDescription
pageintegerNoRequested page of the API response. If null, the API response is not paginated.
hitsPerPageintegerNoNumber of hits per page.

algolia_multiple_batch

Batch indexing operations on multiple indices Parameters:
ParameterTypeRequiredDefaultDescription
requestsobject[]YesThe requests value

algolia_operation_index

Copy or move an index Parameters:
ParameterTypeRequiredDefaultDescription
indexNamestringYesName of the index on which to perform the operation.
destinationstringYesIndex name (case-sensitive).
operationstringYesOperation to perform on the index.
scopestring[]NoOnly for copying. If you specify a scope, only the selected scopes are copied. Records and the other scopes are left unchanged. If you omit the scope parameter, everything is copied: records, settings, synonyms, and rules.

algolia_partial_update_object

Add or update attributes Parameters:
ParameterTypeRequiredDefaultDescription
indexNamestringYesName of the index on which to perform the operation.
objectIDstringYesUnique record identifier.
createIfNotExistsbooleanNoWhether to create a new record if it doesn’t exist.
bodyobjectYesAttributes with their values.

algolia_replace_sources

Replace allowed sources Parameters:
ParameterTypeRequiredDefaultDescription
bodyobject[]YesAllowed sources.

algolia_restore_api_key

Restore an API key Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesAPI key.

algolia_save_object

Add a new record (with auto-generated object ID) Parameters:
ParameterTypeRequiredDefaultDescription
indexNamestringYesName of the index on which to perform the operation.
bodyobjectYesThe record. A schemaless object with attributes that are useful in the context of search and discovery.

algolia_save_rule

Create or replace a rule Parameters:
ParameterTypeRequiredDefaultDescription
indexNamestringYesName of the index on which to perform the operation.
objectIDstringYesUnique identifier of a rule object.
forwardToReplicasbooleanNoWhether changes are applied to replica indices.
conditionobjectNoThe condition value
conditionsobject[]NoConditions that trigger a rule. Some consequences require specific conditions or don’t require any condition. For more information, see Conditions.
consequenceobjectYesEffect of the rule. For more information, see Consequences.
descriptionstringNoDescription of the rule’s purpose to help you distinguish between different rules.
enabledbooleanNoWhether the rule is active.
scopestringNoThe scope value
tagsstring[]NoThe tags value
validityobject[]NoTime periods when the rule is active.

algolia_save_rules

Create or update rules Parameters:
ParameterTypeRequiredDefaultDescription
indexNamestringYesName of the index on which to perform the operation.
forwardToReplicasbooleanNoWhether changes are applied to replica indices.
clearExistingRulesbooleanNoWhether existing rules should be deleted before adding this batch.
bodyobject[]YesRules to add or replace.

algolia_save_synonym

Create or replace a synonym Parameters:
ParameterTypeRequiredDefaultDescription
indexNamestringYesName of the index on which to perform the operation.
objectIDstringYesUnique identifier of a synonym object.
forwardToReplicasbooleanNoWhether changes are applied to replica indices.
correctionsstring[]NoWords to be matched in records.
inputstringNoWord or phrase to appear in query strings (for onewaysynonyms).
placeholderstringNoPlaceholder token to be put inside records.
replacementsstring[]NoQuery words that will match the placeholder token.
synonymsstring[]NoWords or phrases considered equivalent.
typestringYesSynonym type.
wordstringNoWord or phrase to appear in query strings (for altcorrection1 and altcorrection2).

algolia_save_synonyms

Create or replace synonyms Parameters:
ParameterTypeRequiredDefaultDescription
indexNamestringYesName of the index on which to perform the operation.
forwardToReplicasbooleanNoWhether changes are applied to replica indices.
replaceExistingSynonymsbooleanNoWhether to replace all synonyms in the index with the ones sent with this request.
bodyobject[]YesMatching synonyms.

Search multiple indices Parameters:
ParameterTypeRequiredDefaultDescription
requestsany[]YesThe requests value
strategystringNoStrategy for multiple search queries: - none. Run all queries. - stopIfEnoughMatches. Run the queries one by one, stopping as soon as a query matches at least the hitsPerPage number of results.

algolia_search_dictionary_entries

Search dictionary entries Parameters:
ParameterTypeRequiredDefaultDescription
dictionaryNamestringYesDictionary type in which to search.
hitsPerPageintegerNoNumber of hits per page.
languagestringNoISO code for a supported language.
pageintegerNoPage of search results to retrieve.
querystringYesSearch query.

algolia_search_for_facet_values

Search for facet values Parameters:
ParameterTypeRequiredDefaultDescription
indexNamestringYesName of the index on which to perform the operation.
facetNamestringYesFacet attribute in which to search for values. This attribute must be included in the attributesForFaceting index setting with the searchable() modifier.
facetQuerystringNoText to search inside the facet’s values.
maxFacetHitsintegerNoMaximum number of facet values to return when searching for facet values.
paramsstringNoSearch parameters as a URL-encoded query string.

algolia_search_rules

Search for rules Parameters:
ParameterTypeRequiredDefaultDescription
indexNamestringYesName of the index on which to perform the operation.
anchoringstringNoWhich part of the search query the pattern should match: - startsWith. The pattern must match the beginning of the query. - endsWith. The pattern must match the end of the query. - is. The pattern must match the query exactly. - contains. The pattern must match anywhere in the query. Empty queries are only allowed as patterns with anchoring: is.
contextstringNoOnly return rules that match the context (exact match).
enabledbooleanNoIf true, return only enabled rules. If false, return only inactive rules. By default, all rules are returned.
hitsPerPageintegerNoMaximum number of hits per page. Algolia uses page and hitsPerPage to control how search results are displayed (paginated). - hitsPerPage: sets the number of search results (hits) displayed per page. - page: specifies the page number of the search results you want to retrieve. Page numbering starts at 0, so the first page is page=0, the second is page=1, and so on. For example, to display 10 results per page starting from the third page, set hitsPerPage to 10 and page to 2.
pageintegerNoRequested page of the API response. Algolia uses page and hitsPerPage to control how search results are displayed (paginated). - hitsPerPage: sets the number of search results (hits) displayed per page. - page: specifies the page number of the search results you want to retrieve. Page numbering starts at 0, so the first page is page=0, the second is page=1, and so on. For example, to display 10 results per page starting from the third page, set hitsPerPage to 10 and page to 2.
querystringNoSearch query for rules.

algolia_search_single_index

Search an index Parameters:
ParameterTypeRequiredDefaultDescription
indexNamestringYesName of the index on which to perform the operation.
bodyobjectNoRequest body

algolia_search_synonyms

Search for synonyms Parameters:
ParameterTypeRequiredDefaultDescription
indexNamestringYesName of the index on which to perform the operation.
hitsPerPageintegerNoNumber of hits per page.
pageintegerNoPage of search results to retrieve.
querystringNoSearch query.
typestringNoSynonym type.

algolia_set_dictionary_settings

Update dictionary settings Parameters:
ParameterTypeRequiredDefaultDescription
disableStandardEntriesobjectYesKey-value pairs of supported language ISO codes and boolean values.

algolia_set_settings

Update index settings Parameters:
ParameterTypeRequiredDefaultDescription
indexNamestringYesName of the index on which to perform the operation.
forwardToReplicasbooleanNoWhether changes are applied to replica indices.
advancedSyntaxbooleanNoWhether to support phrase matching and excluding words from search queries Use the advancedSyntaxFeatures parameter to control which feature is supported.
advancedSyntaxFeaturesstring[]NoAdvanced search syntax features you want to support - exactPhrase. Phrases in quotes must match exactly. For example, sparkly blue "iPhone case" only returns records with the exact string “iPhone case” - excludeWords. Query words prefixed with a - must not occur in a record. For example, search -engine matches records that contain “search” but not “engine” This setting only has an effect if advancedSyntax is true.
allowCompressionOfIntegerArraybooleanNoWhether arrays with exclusively non-negative integers should be compressed for better performance. If true, the compressed arrays may be reordered.
allowTyposOnNumericTokensbooleanNoWhether to allow typos on numbers in the search query Turn off this setting to reduce the number of irrelevant matches when searching in large sets of similar numbers.
alternativesAsExactstring[]NoDetermine which plurals and synonyms should be considered an exact matches By default, Algolia treats singular and plural forms of a word, and single-word synonyms, as exact matches when searching. For example - “swimsuit” and “swimsuits” are treated the same - “swimsuit” and “swimwear” are treated the same (if they are synonyms) - ignorePlurals. Plurals and similar declensions added by the ignorePlurals setting are considered exact matches - singleWordSynonym. Single-word synonyms, such as “NY” = “NYC”, are considered exact matches - multiWordsSynonym. Multi-word synonyms, such as “NY” = “New York”, are considered exact matches.
attributeCriteriaComputedByMinProximitybooleanNoWhether the best matching attribute should be determined by minimum proximity This setting only affects ranking if the Attribute ranking criterion comes before Proximity in the ranking setting. If true, the best matching attribute is selected based on the minimum proximity of multiple matches. Otherwise, the best matching attribute is determined by the order in the searchableAttributes setting.
attributeForDistinctstringNoAttribute that should be used to establish groups of results. Attribute names are case-sensitive. All records with the same value for this attribute are considered a group. You can combine attributeForDistinct with the distinct search parameter to control how many items per group are included in the search results. If you want to use the same attribute also for faceting, use the afterDistinct modifier of the attributesForFaceting setting. This applies faceting after deduplication, which will result in accurate facet counts.
attributesForFacetingstring[]NoAttributes used for faceting. Facets are attributes that let you categorize search results. They can be used for filtering search results. By default, no attribute is used for faceting. Attribute names are case-sensitive. Modifiers - filterOnly("ATTRIBUTE"). Allows the attribute to be used as a filter but doesn’t evaluate the facet values. - searchable("ATTRIBUTE"). Allows searching for facet values. - afterDistinct("ATTRIBUTE"). Evaluates the facet count after deduplication with distinct. This ensures accurate facet counts. You can apply this modifier to searchable facets: afterDistinct(searchable(ATTRIBUTE)).
attributesToHighlightstring[]NoAttributes to highlight By default, all searchable attributes are highlighted. Use * to highlight all attributes or use an empty array [] to turn off highlighting. Attribute names are case-sensitive With highlighting, strings that match the search query are surrounded by HTML tags defined by highlightPreTag and highlightPostTag. You can use this to visually highlight matching parts of a search query in your UI For more information, see Highlighting and snippeting.
attributesToRetrievestring[]NoAttributes to include in the API response To reduce the size of your response, you can retrieve only some of the attributes. Attribute names are case-sensitive - * retrieves all attributes, except attributes included in the customRanking and unretrievableAttributes settings. - To retrieve all attributes except a specific one, prefix the attribute with a dash and combine it with the *: ["*", "-ATTRIBUTE"]. - The objectID attribute is always included.
attributesToSnippetstring[]NoAttributes for which to enable snippets. Attribute names are case-sensitive Snippets provide additional context to matched words. If you enable snippets, they include 10 words, including the matched word. The matched word will also be wrapped by HTML tags for highlighting. You can adjust the number of words with the following notation: ATTRIBUTE:NUMBER, where NUMBER is the number of words to be extracted.
attributesToTransliteratestring[]NoAttributes, for which you want to support Japanese transliteration. Transliteration supports searching in any of the Japanese writing systems. To support transliteration, you must set the indexing language to Japanese. Attribute names are case-sensitive.
camelCaseAttributesstring[]NoAttributes for which to split camel case words. Attribute names are case-sensitive.
customNormalizationobjectNoCharacters and their normalized replacements. This overrides Algolia’s default normalization.
customRankingstring[]NoAttributes to use as custom ranking. Attribute names are case-sensitive. The custom ranking attributes decide which items are shown first if the other ranking criteria are equal. Records with missing values for your selected custom ranking attributes are always sorted last. Boolean attributes are sorted based on their alphabetical order. Modifiers - asc("ATTRIBUTE"). Sort the index by the values of an attribute, in ascending order. - desc("ATTRIBUTE"). Sort the index by the values of an attribute, in descending order. If you use two or more custom ranking attributes, reduce the precision of your first attributes, or the other attributes will never be applied.
decompoundedAttributesobjectNoSearchable attributes to which Algolia should apply word segmentation (decompounding). Attribute names are case-sensitive. Compound words are formed by combining two or more individual words, and are particularly prevalent in Germanic languages—for example, “firefighter”. With decompounding, the individual components are indexed separately. You can specify different lists for different languages. Decompounding is supported for these languages: Dutch (nl), German (de), Finnish (fi), Danish (da), Swedish (sv), and Norwegian (no). Decompounding doesn’t work for words with non-spacing mark Unicode characters. For example, Gartenstühle won’t be decompounded if the ü consists of u (U+0075) and ◌̈ (U+0308).
decompoundQuerybooleanNoWhether to split compound words in the query into their building blocks For more information, see Word segmentation. Word segmentation is supported for these languages: German, Dutch, Finnish, Swedish, and Norwegian. Decompounding doesn’t work for words with non-spacing mark Unicode characters. For example, Gartenstühle won’t be decompounded if the ü consists of u (U+0075) and ◌̈ (U+0308).
disableExactOnAttributesstring[]NoSearchable attributes for which you want to turn off the Exact ranking criterion. Attribute names are case-sensitive This can be useful for attributes with long values, where the likelihood of an exact match is high, such as product descriptions. Turning off the Exact ranking criterion for these attributes favors exact matching on other attributes. This reduces the impact of individual attributes with a lot of content on ranking.
disablePrefixOnAttributesstring[]NoSearchable attributes for which you want to turn off prefix matching. Attribute names are case-sensitive.
disableTypoToleranceOnAttributesstring[]NoAttributes for which you want to turn off typo tolerance. Attribute names are case-sensitive Returning only exact matches can help when - Searching in hyphenated attributes. - Reducing the number of matches when you have too many. This can happen with attributes that are long blocks of text, such as product descriptions Consider alternatives such as disableTypoToleranceOnWords or adding synonyms if your attributes have intentional unusual spellings that might look like typos.
disableTypoToleranceOnWordsstring[]NoCreates a list of words which require exact matches. This also turns off word splitting and concatenation for the specified words.
distinctobjectNoDetermines how many records of a group are included in the search results. Records with the same value for the attributeForDistinct attribute are considered a group. The distinct setting controls how many members of the group are returned. This is useful for deduplication and grouping. The distinct setting is ignored if attributeForDistinct is not set.
enablePersonalizationbooleanNoWhether to enable Personalization.
enableReRankingbooleanNoWhether this search will use Dynamic Re-Ranking This setting only has an effect if you activated Dynamic Re-Ranking for this index in the Algolia dashboard.
enableRulesbooleanNoWhether to enable rules.
exactOnSingleWordQuerystringNoDetermines how the Exact ranking criterion is computed when the search query has only one word. - attribute. The Exact ranking criterion is 1 if the query word and attribute value are the same. For example, a search for “road” will match the value “road”, but not “road trip”. - none. The Exact ranking criterion is ignored on single-word searches. - word. The Exact ranking criterion is 1 if the query word is found in the attribute value. The query word must have at least 3 characters and must not be a stop word. Only exact matches will be highlighted, partial and prefix matches won’t.
highlightPostTagstringNoHTML tag to insert after the highlighted parts in all highlighted results and snippets.
highlightPreTagstringNoHTML tag to insert before the highlighted parts in all highlighted results and snippets.
hitsPerPageintegerNoNumber of hits per page.
ignorePluralsobjectNoTreat singular, plurals, and other forms of declensions as equivalent. Only use this feature for the languages used in your index.
indexLanguagesstring[]NoLanguages for language-specific processing steps, such as word detection and dictionary settings. Always specify an indexing language. If you don’t specify an indexing language, the search engine uses all supported languages, or the languages you specified with the ignorePlurals or removeStopWords parameters. This can lead to unexpected search results. For more information, see Language-specific configuration.
keepDiacriticsOnCharactersstringNoCharacters for which diacritics should be preserved. By default, Algolia removes diacritics from letters. For example, é becomes e. If this causes issues in your search, you can specify characters that should keep their diacritics.
maxFacetHitsintegerNoMaximum number of facet values to return when searching for facet values.
maxValuesPerFacetintegerNoMaximum number of facet values to return for each facet.
minProximityintegerNoMinimum proximity score for two matching words This adjusts the Proximity ranking criterion by equally scoring matches that are farther apart For example, if minProximity is 2, neighboring matches and matches with one word between them would have the same score.
minWordSizefor1TypointegerNoMinimum number of characters a word in the search query must contain to accept matches with one typo.
minWordSizefor2TyposintegerNoMinimum number of characters a word in the search query must contain to accept matches with two typos.
modestringNoSearch mode the index will use to query for results. This setting only applies to indices, for which Algolia enabled NeuralSearch for you.
numericAttributesForFilteringstring[]NoNumeric attributes that can be used as numerical filters. Attribute names are case-sensitive. By default, all numeric attributes are available as numerical filters. For faster indexing, reduce the number of numeric attributes. To turn off filtering for all numeric attributes, specify an attribute that doesn’t exist in your index, such as NO_NUMERIC_FILTERING. Modifier - equalOnly("ATTRIBUTE"). Support only filtering based on equality comparisons = and !=.
optionalWordsobjectNoWords that should be considered optional when found in the query. By default, records must match all words in the search query to be included in the search results. Adding optional words can increase the number of search results by running an additional search query that doesn’t include the optional words. For example, if the search query is “action video” and “video” is optional, the search engine runs two queries: one for “action video” and one for “action”. Records that match all words are ranked higher. For a search query with 4 or more words and all its words are optional, the number of matched words required for a record to be included in the search results increases for every 1,000 records: - If optionalWords has fewer than 10 words, the required number of matched words increases by 1: results 1 to 1,000 require 1 matched word; results 1,001 to 2,000 need 2 matched words. - If optionalWords has 10 or more words, the required number of matched words increases by the number of optional words divided by 5 (rounded down). Example: with 18 optional words, results 1 to 1,000 require 1 matched word; results 1,001 to 2,000 need 4 matched words. For more information, see Optional words.
paginationLimitedTointegerNoMaximum number of search results that can be obtained through pagination. Higher pagination limits might slow down your search. For pagination limits above 1,000, the sorting of results beyond the 1,000th hit can’t be guaranteed.
queryLanguagesstring[]NoLanguages for language-specific query processing steps such as plurals, stop-word removal, and word-detection dictionaries. This setting sets a default list of languages used by the removeStopWords and ignorePlurals settings. This setting also sets a dictionary for word detection in the logogram-based CJK languages. To support this, place the CJK language first. Always specify a query language. If you don’t specify an indexing language, the search engine uses all supported languages, or the languages you specified with the ignorePlurals or removeStopWords parameters. This can lead to unexpected search results. For more information, see Language-specific configuration.
queryTypestringNoDetermines if and how query words are interpreted as prefixes. By default, only the last query word is treated as a prefix (prefixLast). To turn off prefix search, use prefixNone. Avoid prefixAll, which treats all query words as prefixes. This might lead to counterintuitive results and makes your search slower. For more information, see Prefix searching.
rankingstring[]NoDetermines the order in which Algolia returns your results. By default, each entry corresponds to a ranking criteria. The tie-breaking algorithm sequentially applies each criterion in the order they’re specified. If you configure a replica index for sorting by an attribute, you put the sorting attribute at the top of the list. Modifiers - asc("ATTRIBUTE"). Sort the index by the values of an attribute, in ascending order. - desc("ATTRIBUTE"). Sort the index by the values of an attribute, in descending order. Before you modify the default setting, test your changes in the dashboard, and by A/B testing.
relevancyStrictnessintegerNoRelevancy threshold below which less relevant results aren’t included in the results You can only set relevancyStrictness on virtual replica indices. Use this setting to strike a balance between the relevance and number of returned results.
removeStopWordsobjectNoRemoves stop words from the search query. Stop words are common words like articles, conjunctions, prepositions, or pronouns that have little or no meaning on their own. In English, “the”, “a”, or “and” are stop words. Only use this feature for the languages used in your index.
removeWordsIfNoResultsstringNoStrategy for removing words from the query when it doesn’t return any results. This helps to avoid returning empty search results. - none. No words are removed when a query doesn’t return results. - lastWords. Treat the last (then second to last, then third to last) word as optional, until there are results or at most 5 words have been removed. - firstWords. Treat the first (then second, then third) word as optional, until there are results or at most 5 words have been removed. - allOptional. Treat all words as optional. For more information, see Remove words to improve results.
renderingContentobjectNoExtra data that can be used in the search UI. You can use this to control aspects of your search UI, such as the order of facet names and values without changing your frontend code.
replaceSynonymsInHighlightbooleanNoWhether to replace a highlighted word with the matched synonym By default, the original words are highlighted even if a synonym matches. For example, with home as a synonym for house and a search for home, records matching either “home” or “house” are included in the search results, and either “home” or “house” are highlighted With replaceSynonymsInHighlight set to true, a search for home still matches the same records, but all occurrences of “house” are replaced by “home” in the highlighted response.
replicasstring[]NoCreates replica indices. Replicas are copies of a primary index with the same records but different settings, synonyms, or rules. If you want to offer a different ranking or sorting of your search results, you’ll use replica indices. All index operations on a primary index are automatically forwarded to its replicas. To add a replica index, you must provide the complete set of replicas to this parameter. If you omit a replica from this list, the replica turns into a regular, standalone index that will no longer be synced with the primary index. Modifier - virtual("REPLICA"). Create a virtual replica, Virtual replicas don’t increase the number of records and are optimized for Relevant sorting.
reRankingApplyFilterobjectNoRe Ranking Apply Filter
responseFieldsstring[]NoProperties to include in the API response of search and browse requests By default, all response properties are included. To reduce the response size, you can select which properties should be included An empty list may lead to an empty API response (except properties you can’t exclude) You can’t exclude these properties: message, warning, cursor, abTestVariantID, or any property added by setting getRankingInfo to true Your search depends on the hits field. If you omit this field, searches won’t return any results. Your UI might also depend on other properties, for example, for pagination. Before restricting the response size, check the impact on your search experience.
restrictHighlightAndSnippetArraysbooleanNoWhether to restrict highlighting and snippeting to items that at least partially matched the search query. By default, all items are highlighted and snippeted.
searchableAttributesstring[]NoAttributes used for searching. Attribute names are case-sensitive. By default, all attributes are searchable and the Attribute ranking criterion is turned off. With a non-empty list, Algolia only returns results with matches in the selected attributes. In addition, the Attribute ranking criterion is turned on: matches in attributes that are higher in the list of searchableAttributes rank first. To make matches in two attributes rank equally, include them in a comma-separated string, such as "title,alternate_title". Attributes with the same priority are always unordered. For more information, see Searchable attributes. Modifier - unordered("ATTRIBUTE"). Ignore the position of a match within the attribute. Without a modifier, matches at the beginning of an attribute rank higher than matches at the end.
semanticSearchobjectNoSettings for the semantic search part of NeuralSearch. Only used when mode is neuralSearch.
separatorsToIndexstringNoControl which non-alphanumeric characters are indexed. By default, Algolia ignores non-alphanumeric characters like hyphen (-), plus (+), and parentheses ((,)). To include such characters, define them with separatorsToIndex. Separators are all non-letter characters except spaces and currency characters, such as $€£¥. With separatorsToIndex, Algolia treats separator characters as separate words. For example, in a search for “Disney+”, Algolia considers “Disney” and ”+” as two separate words.
snippetEllipsisTextstringNoString used as an ellipsis indicator when a snippet is truncated.
sortFacetValuesBystringNoOrder in which to retrieve facet values - count. Facet values are retrieved by decreasing count. The count is the number of matching records containing this facet value - alpha. Retrieve facet values alphabetically This setting doesn’t influence how facet values are displayed in your UI (see renderingContent). For more information, see facet value display.
typoToleranceobjectNoWhether typo tolerance is enabled and how it is applied. If typo tolerance is true, min, or strict, word splitting and concatenation are also active.
unretrievableAttributesstring[]NoAttributes that can’t be retrieved at query time. This can be useful if you want to use an attribute for ranking or to restrict access, but don’t want to include it in the search results. Attribute names are case-sensitive.
userDataobjectNoAn object with custom data. You can store up to 32kB as custom data.

algolia_update_api_key

Update an API key Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesAPI key.
aclstring[]YesPermissions that determine the type of API requests this key can make. The required ACL is listed in each endpoint’s reference. For more information, see access control list.
descriptionstringNoDescription of an API key to help you identify this API key.
indexesstring[]NoIndex names or patterns that this API key can access. By default, an API key can access all indices in the same application. You can use leading and trailing wildcard characters (*): - dev_* matches all indices starting with “dev_” - *_dev matches all indices ending with “_dev” - *_products_* matches all indices containing “products”.
maxHitsPerQueryintegerNoMaximum number of results this API key can retrieve in one query. By default, there’s no limit.
maxQueriesPerIPPerHourintegerNoMaximum number of API requests allowed per IP address or user token per hour. If this limit is reached, the API returns an error with status code 429. By default, there’s no limit.
queryParametersstringNoQuery parameters to add when making API requests with this API key. To restrict this API key to specific IP addresses, add the restrictSources parameter. You can only add a single source, but you can provide a range of IP addresses. Creating an API key fails if the request is made from an IP address outside the restricted range.
referersstring[]NoAllowed HTTP referrers for this API key. By default, all referrers are allowed. You can use leading and trailing wildcard characters (*): - https://algolia.com/* allows all referrers starting with “https://algolia.com/” - *.algolia.com allows all referrers ending with “.algolia.com” - *algolia.com* allows all referrers in the domain “algolia.com”. Like all HTTP headers, referrers can be spoofed. Don’t rely on them to secure your data. For more information, see HTTP referrer restrictions.
validityintegerNoDuration (in seconds) after which the API key expires. By default, API keys don’t expire.